using System;
using System.ComponentModel.DataAnnotations;

namespace Models.Identity
{
    public class OTPLoginModel
    {
        [Required(ErrorMessage = "نام کاربری(شماره موبایل) الزامی است")]
        [RegularExpression(@"^(?:0|98|\+98|\+980|0098|098|00980)?(9\d{9})$",ErrorMessage ="شماره موبایل صحیح نیست")]
        public string Username { get; set; }
    }

    public class OTPVerifyModel
    {
        [Required(ErrorMessage = "کلمه عبور(کد تائید) الزامی است")]
        public string Password { get; set; }
    }

}